@charset "utf-8";
/* CSS Document */

.clearfix:after {
	content: ".";
	display: block;
	clear: both;
	visibility: hidden;
	line-height: 0;
	height: 0;
}

.clearfix {
	display: inline-block;
}
 
html[xmlns] .clearfix {
	display: block;
}
 
* html .clearfix {
	height: 1%;
}

html {
	height:100%;
}

body {
height:100%;
width:100%;
margin: 0px;
background-color: #9BB0EE;
color:#333;
font-family: 'Ubuntu', sans-serif;
font:100%;
font-size:1em;
line-height:150%;
}

div {
	-moz-box-sizing:border-box;
	-webkit-box-sizing:border-box;
	box-sizing:border-box;
}

/*
///
/// main layout styles ///
///
*/

div#page{
	margin:0px;
	min-height:100%;
	min-width:325px;
}

div#header {
	width:100%;
}

div#navigation_wrapper {
	border-width:1px;
	border-style:solid;
	min-height:5px;
}

div#userbar {
	float:left;
	font-size:1em;
	text-align:left;
	vertical-align:middle;
}

div.userbar_button {
	float:left;
	padding:0 10px;
	border-width:0 0 0 1px;
	border-style:solid;
	height:40px;
	line-height:40px;
	}

#userbar .userbar_button:first-child {
	border-left-width:0;	
}

.userbar_button a:link, a:visited, a:hover, a:active {
	text-decoration:none;
}

#userinfo-textbanner {
	line-height:46px;
}

#userinfo-toggle {
	min-width:50px;
	max-width:200px;
	overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

#userinfo-bits {
	max-width:125px;
	overflow: hidden;
    white-space: nowrap;
    /*text-overflow: ellipsis;*/
}

#navigation_button_wrapper {
	float:right;
	width:25%;
	min-width:135px; /* change to accomadate more buttons, each button is min width 45px */
}

#navigation_buttons {
	display: table;
    table-layout: fixed;
	width:100%;
}

#navigation_buttons .userbar_button {
	float:none;
	display: table-cell;
	text-align:center;
	min-width:45px;
}

#navigation_buttons .userbar_button img {
	margin-bottom:-5px;
}

div#main {
	background-color:#e6dfee;

}

div#content {
	padding-top:20px;	
	margin-right:200px;
}

div#content_wrap { /*this allows the sidebar to float to the right */
	float:left;
	width:100%;
	margin-right:-200px;
}

div.page_spacer {
	margin-top:20px;
}

div#footer {
	width:100%;
	font-size:.85em;
	margin:0;
	padding:.5em;
	text-align:center;
	border-width: 1px;
	border-style:solid;
}

#footer_links a {
	color:white;
	text-decoration:none;
	font-size:.85em;
	margin:0 5px;
}
#footer_links a:hover {
	text-decoration:underline;
}

/*
///
/// styles for dropdown menus ///
///
*/
#dropdown-wrapper {
	position:relative;
}

.dropdown {
    display:none;
    position:absolute;
	width:25%;
    min-width:250px;
    background-color: #829CEA;
	z-index:1000;
}
.dropdown-child {
    font-size: .85em;
    line-height: 25px;
}
.dropdown-child a {
	display:block;
	padding: 5px 10px;
	text-decoration:none;
	border-style:solid;
	border-width:0 1px 1px 1px;
}
.dropdown-header {
	padding: 5px 10px;
	border-style:solid;
	border-width:0 1px 1px 1px;
	font-weight:bold;
	text-align:center;
	text-transform:uppercase;
	font-size:.75em;
}

#userinfo {
	left:0;
}
#household {
	right:0;
}
#explore {
	right:0;
}
#community {
	right:0;
}

.userbar_button.menu-arrow {
	background-image:url(../images/icons/icon_tiny_arrow_white_up.gif);
	background-repeat: no-repeat;
    background-position: 95% 55%;
	padding-right: 25px;
}
.userbar_button.menu-arrow.arrow-down {
	background-image:url(../images/icons/icon_tiny_arrow_white_down.gif);
}

div.dropdown .icon {
	margin-right:10px;
}
div.dropdown .icon.adjust {
	position:relative;
	top:3px;
}

.newmail {
	position:relative;
	top:2px;
}

/*
///
/// styles for sidebar boxes ///
///
*/
#sidebar_top {
	float:right;
	width:200px;
	position:relative;
}

#sidebar {
	float:right;
	width:200px;
}

div.sidebar_spacer {
	margin-top:20px;
}

.sidebar_box {
	background-color: #D7CCE3;
	border: 1px solid #B0A9B8;
	font-size:.85em;
	font-weight:normal;
	color: #666;
	padding: 10px;
	margin:0 0 -1px 10px;
	border-right:0;
}
.sidebar_box.clickable:active {
	background-color: #B0A9B8;
}

.sidebar_box a:link, a:visited {
	text-decoration:none;
	color: #666;
}
.sidebar_box a:hover, a:active {
	color: #333;
}

.sidebar_box .divider {
	border-bottom: 1px dotted #B0A9B8;
	height:10px;
	margin-bottom:10px;
}

#sidebar #clock_icon {
	margin-right: 10px;
	vertical-align:middle;
	position:relative;
	top:-2px;
}

#sidebar #user_icon {
	margin-right: 6px;
	position:relative;
	top:1px;
	right:-3px;
}

#ibtime {
	font-size:1.5em;
}

#sidebar #usersonline {
	font-weight:bold;
}

#sidebar #search input {
	width:80%;
	font-size:.85em;
	margin:0;
	height:2em;
	float:left;
	padding: 3px 4px;
}

#sidebar #search button {
	float:left;
	width:20%;
	height:2em;
	font-size:.85em;
	padding:0;
	margin:0;
	margin-left:-1px;
	border:solid 1px #838383;
	background:url(../images/layout/search_icon.gif) no-repeat center #B0A9B8;
}

#ibbox div {

}
.lcd_screen {
	float:left;
	background:#e6dfee;
	width:60px;
	height:60px;
	margin-left:auto;
	margin-right:auto;
	padding:5px;
	text-align:center;
	vertical-align:middle;
	border:5px solid #B0A9B8;
	-moz-border-radius: 3px;
    -webkit-border-radius: 3px;
    border-radius: 3px;
	-webkit-box-shadow: inset 1px 1px 0px 1px #999999;        
    box-shadow: inset 1px 1px 0px 1px #999999;
}

.ibbox_info {
	float:left;
}
.ibbox_info div {
	margin:0 5px 0 10px;
	line-height:115%;
	vertical-align:middle;
}
.ibbox_info .ibbox_name {
	max-width:90px;
	font-size:1em;
	font-weight:bold;
	margin-top:1px;
	margin-bottom:1px;
	-ms-word-break: break-all;
	word-break: break-all;
	word-break: break-word;
	-webkit-hyphens: auto;
	-moz-hyphens: auto;
	-ms-hyphens: auto;
	hyphens: auto;
}
.ibbox_info .ibbox_text {
	font-size:.85em;
	font-style:italic;
}

/*
///
/// default page nubmer styles ///
///
*/

.pagenumber_wrapper {
	vertical-align:middle;
}
.pagenumber_wrapper span {
	float:left;
	color:#666;
	font-size:.85em;
}
.pagenumber {
	float:left;
	border:#D7CCE3 solid 1px;
	color:#666666;
	size:.75em;
	font-weight:700;
	padding:5px 10px;
	margin:0 2px;
}
.pagenumber:link {
	color:#666666;
}
.pagenumber:visited {
	color:#666666;
}
.pagenumber:active {
	color:#666666;
	border-color:#B0A9B8;
	background: #D7CCE3;
	 -moz-box-shadow:    inset 1px 1px 0 #ACA5B4;
	 -webkit-box-shadow: inset 1px 1px 0 #ACA5B4;
	 box-shadow:         inset 1px 1px 0 #ACA5B4;
}
.pagenumber:hover {
	background-color:white;
}
.pagenumber.current {
	float:left;
	color:#666666;
	border-color:#B0A9B8;
	background-color: #D7CCE3;
	 -moz-box-shadow:    inset 1px 1px 0 #ACA5B4;
	 -webkit-box-shadow: inset 1px 1px 0 #ACA5B4;
	 box-shadow:         inset 1px 1px 0 #ACA5B4;
}

.pagenumber.mini {
	float:left;
	border-width:0;
	color:#666666;
	font-size:.70em;
	font-weight:700;
	padding:0 6px;
	margin:0 2px;
}

/*
///
/// jquery ui styles ///
///
*/

.ui-datepicker {
	width: 250px;  
    height: auto;  
    margin: 0;  
    font-size:.8em;
}
.ui-datepicker table {  
    width: 100%;  
} 
.ui-datepicker th {  
    text-transform: uppercase;  
    font-size: .75em;  
    padding: 5px 0;  
    color: #666666;  
}
.ui-datepicker td span, .ui-datepicker td a {    
    text-align: center;  
    color: #666666;    
}  
.ui-datepicker-calendar .ui-state-default {  
	border: 1px solid #B0A9B8;
}
.ui-datepicker-calendar .ui-state-active {  
	border: 1px solid #6384E4;
}  
table.ui-datepicker-calendar tbody td.highlight {
	background:none;
}
table.ui-datepicker-calendar tbody td.highlight > a {
    background-color: #96ACED;
	background-image:url(../images/icons/trulytinystar.gif);
	background-repeat: no-repeat;
	background-position: 1px 1px;
    color: #363636;
    border: 1px solid #829CEA;
}

/*
///
/// ibbit layer styles ///
///
*/
.iblayer_wrapper {
	position:relative;
	display:inline-block;
}
.iblayer {
	position:absolute;
	top:0;
	left:0;
}



/*
///
/// badge styles ///
///
*/
.badgearea {
  list-style-type: none;
  text-align:center;
  width:70px;
  min-height: 26px;
  max-height:67px;
  margin:0;
  padding:0px 0px 1px 0px;
  border:0;
  overflow:hidden;
  line-height:16px;
}

.badgearea li {
  margin:0;
  padding:0px 0px 1px 0px;
  display:inline;
}
.badge {
padding:1px;
}

/*
///
/// default page styles ///
///
*/

.container { /* use on div's where you want the padding to be the same as a p element */
	margin:0 10px .5em 20px;
}

.display-table-container {
	display:table;
	table-layout:fixed;
}

.display-table-cell {
	float:none;
	display:table-cell;
}

#topbottom { /* shows a fixed top/bottom link on bottom of page */
	position:fixed;
	z-index:100;
	bottom:0;
	right:5%;
	font-size:.8em;
	border-width:1px 0 0 1px;
	padding-right:10px;
	padding-left:10px;
}

.shaded-table {
	background-color: #D7CCE3;
	border-collapse:collapse;
	line-height:100%;
}
.shaded-table thead tr {
	background-color: #B0A9B8;
	border-width: 1px;
	border-style: solid;
	border-color: #A89FB0;
	text-align:left;
	color:#666666;
}
.shaded-table tr {
	border-width: 1px;
	border-color: #B0A9B8;
	border-style: solid;
	background-color: #D7CCE3;
	color: #333;
}

.shaded-table tr:nth-child(2n) {
	background-color: #CEC1DD;
}

.shaded-table th {
	padding:5px;
}
.shaded-table td {
	padding:5px;
}

.make_nav_wrapper a{ /* for auto generated navs (example, on the forums) */
	font-size:.85em;
	font-weight:bold;
	text-decoration:none;
	display:inline-block;
	background: #D7CCE3;
	border-color: #B0A9B8;
	border-style: solid;
	border-width:1px;
	padding:5px 10px;
	margin:5px 10px 0 0;
}

.make_nav_wrapper .current {
	background:#B0A9B8;
}

.make_nav_wrapper a:hover {
	background:white;
}
.make_nav_wrapper a:active {
	border:#666666 solid 1px;
	background-color: #B0A9B8;
}

.bubble {
position: relative;
padding: 0px;
background: #FFFFFF;
min-height:35px;
}

.bubble.right:after {
content: '';
position: absolute;
border-style: solid;
border-width: 10px 0 10px 15px;
border-color: transparent #FFFFFF;
display: block;
width: 0;
z-index: 1;
margin-top: -10px;
right: -15px;
top: 25%;
}
.bubble.left:after 
{
content: '';
position: absolute;
border-style: solid;
border-width: 10px 15px 10px 0;
border-color: transparent #FFFFFF;
display: block;
width: 0;
z-index: 1;
left: -15px;
top: 25%;
}

.bubble.bottom:after 
{
content: '';
position: absolute;
border-style: solid;
border-width: 15px 10px 0;
border-color: #FFFFFF transparent;
display: block;
width: 0;
z-index: 1;
margin-left: -10px;
bottom: -15px;
left: 10%;
}

/* The notice that appears on the top of the layout on the dev site */
#development-notice {
	position: fixed;
	top: 0%;
	text-align: center;
	background-color: white;
	padding: .5em;
	font-weight: bold;
	letter-spacing: 2px;
	color: red;
	border-bottom-right-radius: 5px;
	pointer-events: none;
}

